Bank Feed Payment Networks

The BankFeedPaymentNetwork Object

A Rutter Bank Feed Payment Network represents a payment network associated with a bank account, describing how funds can be transferred in or out of the account. This data is sourced from Financial Institutions via the FDX /payment-networks endpoint and includes details such as the network type (e.g., US_ACH, US_FEDWIRE), bank routing identifiers, and transfer capabilities.

Properties

idstring

The Rutter generated unique ID of the bank feed payment network.

bank_idstring

Bank identifier used by the payment network. Typically the 9-digit routing transit number (RTN) associated with the account number at a US institution

identifierstring

The account identifier within the payment network

transfer_inboolean

Indicates if funds can be credited to the account through this network

transfer_outboolean

Indicates if funds can be debited from the account through this network

typeenum

Payment network type (CA_ACSS, CA_LVTS, US_ACH, US_CHIPS, US_FEDNOW, US_FEDWIRE, US_RTP)

One ofCA_ACSSCA_LVTSUS_ACHUS_CHIPSUS_FEDNOWUS_FEDWIRE, or US_RTP.
last_synced_atstring

The ISO 8601 timestamp when the bank feed payment network was last synced by Rutter.

platform_dataobjectOptional

The raw platform data corresponding to the Rutter object.

Endpoints
GET
/accounting/bank_feeds/payment_networks
GET
/accounting/bank_feeds/payment_networks/:id
POST
/accounting/bank_feeds/payment_networks

List Bank Feed Payment Networks

GEThttps://production.rutterapi.com/versioned/accounting/bank_feeds/payment_networks

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

    cursorstringqueryOptional

    Used to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.

    limitintegerqueryOptional

    Used to limit the number of returned objects. Defaults to 50.

    filterstringqueryOptional

    Not currently supported on Sage Intacct or Sage Business Cloud. Used to specify a filtering criteria for response objects. Refer to Filtering Objects to understand the syntax for the filtering criteria. The filtering syntax only supports fields decorated with a filterable tag in the response object.

    Filterable fields: last_synced_at.

    sortstringqueryOptional

    Used to sort the response objects, e.g. last_synced_at ASC. If a value is provided but ASC or DESC is not, defaults to ASC. If omitted, defaults to updated_at DESC. Supports only fields decorated with a filterable tag in the response object except on Sage Intacct and Sage Business Cloud. For those platforms, only updated_at_min, updated_at_max and last_synced_at_min fields are supported and not deprecated.

    Sortable fields: last_synced_at.

    expandenumqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    Must beplatform_data.
    last_synced_at_minintegerqueryOptional

    Deprecated - use filter instead. Used to filter objects with a last_synced_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_maxintegerqueryOptional

    Deprecated - use filter instead. Used to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.

    updated_at_minintegerqueryOptional

    Deprecated - use filter instead. Used to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

200
Example Response Body
JSON
1
{
2
"bank_feed_payment_networks": [
3
{
4
"id": "00000000-0000-0000-0000-000000000000",
5
"bank_id": "010088889",
6
"identifier": "1111222233335820",
7
"transfer_in": true,
8
"transfer_out": true,
9
"type": "US_ACH",
10
"last_synced_at": "2024-01-01T00:00:00.000Z",
11
"platform_data": {}
12
}
13
],
14
"next_cursor": "MTY3NDgzMTk0Ml82MDY4ZDI0ZC02NGRmLTRmN2EtYTM0Ny0zN2ZmNjY5MGVmMjU=",
15
"connection": {
16
"id": "00000000-0000-0000-0000-000000000000",
17
"orgId": "00000000-0000-0000-0000-000000000000",
18
"platform": "NETSUITE"
19
}
20
}

Fetch a Bank Feed Payment Network

GEThttps://production.rutterapi.com/versioned/accounting/bank_feeds/payment_networks/:id

Request Parameters

    idstringpathRequired

    The unique ID of the object.

    access_tokenstringqueryRequired

    The access token of the connection.

    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

200
Example Response Body
JSON
1
{
2
"bank_feed_payment_network": {
3
"id": "00000000-0000-0000-0000-000000000000",
4
"bank_id": "010088889",
5
"identifier": "1111222233335820",
6
"transfer_in": true,
7
"transfer_out": true,
8
"type": "US_ACH",
9
"last_synced_at": "2024-01-01T00:00:00.000Z",
10
"platform_data": {}
11
},
12
"connection": {
13
"id": "00000000-0000-0000-0000-000000000000",
14
"orgId": "00000000-0000-0000-0000-000000000000",
15
"platform": "NETSUITE"
16
}
17
}

Create a Bank Feed Payment Network

POSThttps://production.rutterapi.com/versioned/accounting/bank_feeds/payment_networks

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

Request Body

    response_modeenumOptional

    The response mode for our async endpoints. prefer_sync allows calling the API in a best-effort, synchronous fashion and wait for the response. If this takes too long we will instead return the asynchronous response. This is the default behavior. async makes the API respond with the asynchronous response. See Asynchronous Operations.

    One ofasync or prefer_sync.
    bank_feed_payment_networkobject
    Show bank_feed_payment_network attributes

Response Body

Example Request Body
JSON
1
{
2
"bank_feed_payment_network": {
3
"bank_id": "010088889",
4
"identifier": "1111222233335820",
5
"transfer_in": true,
6
"transfer_out": true,
7
"type": "US_ACH"
8
}
9
}
200
Example Response Body
JSON
1
{
2
"bank_feed_payment_network": {
3
"id": "00000000-0000-0000-0000-000000000000",
4
"bank_id": "010088889",
5
"identifier": "1111222233335820",
6
"transfer_in": true,
7
"transfer_out": true,
8
"type": "US_ACH",
9
"last_synced_at": "2024-01-01T00:00:00.000Z",
10
"platform_data": {}
11
}
12
}

Have questions?

Contact support for personalized guidance.

Contact support